-- ============================================================
--   Database name:  MODEL_1                                   
--   DBMS name:      ORACLE Version 7.x                        
--   Created on:     26.5.1999  15:22                          
-- ============================================================

-- ============================================================
--   Table: X_DILNA                                            
-- ============================================================
create table X_DILNA
(
    CIS_DIL          NUMBER(2)              not null
        constraint CKC_CIS_DIL_X_DILNA check (CIS_DIL >= 1),
    TELEFON_DIL      VARCHAR2(15)           null    ,
    POCET_SOUSTRUHU  NUMBER(1)              not null
        constraint CKC_POCET_SOUSTRUHU_X_DILNA check (POCET_SOUSTRUHU >= 0),
    NAJEM_DIL        NUMBER(6)              not null
        constraint CKC_NAJEM_DIL_X_DILNA check (NAJEM_DIL >= 0),
    constraint PK_X_DILNA primary key (CIS_DIL)
)
/

-- ============================================================
--   Table: X_TYP_VYROBKU                                      
-- ============================================================
create table X_TYP_VYROBKU
(
    OZN_TYPU         VARCHAR2(10)           not null,
    MIN_VEK_URCENI   NUMBER(2)              not null
        constraint CKC_MIN_VEK_URCENI_X_TYP_VY check (MIN_VEK_URCENI >= 0),
    OBCH_NAZEV       VARCHAR2(30)           not null,
    constraint PK_X_TYP_VYROBKU primary key (OZN_TYPU)
)
/

-- ============================================================
--   Table: X_SKLAD                                            
-- ============================================================
create table X_SKLAD
(
    CIS_SKL          NUMBER(2)              not null
        constraint CKC_CIS_SKL_X_SKLAD check (CIS_SKL >= 1),
    TELEFON_SKL      VARCHAR2(15)           null    ,
    NAJEM_SKL        NUMBER(6)              not null,
    constraint PK_X_SKLAD primary key (CIS_SKL)
)
/

-- ============================================================
--   Table: X_PRACOVNIK                                        
-- ============================================================
create table X_PRACOVNIK
(
    ROD_CIS          NUMBER(10)             not null,
    PRIJMENI         VARCHAR2(20)           not null,
    UCET             NUMBER(15)             not null
        constraint CKC_UCET_X_PRACOV check (UCET >= 0),
    constraint PK_X_PRACOVNIK primary key (ROD_CIS)
)
/

-- ============================================================
--   Table: X_PRAC_MISTO                                       
-- ============================================================
create table X_PRAC_MISTO
(
    CIS_PM           NUMBER(3)              not null
        constraint CKC_CIS_PM_X_PRAC_M check (CIS_PM >= 1),
    CIS_SKL          NUMBER(2)              null    
        constraint CKC_CIS_SKL_X_PRAC_M check (CIS_SKL is null or (CIS_SKL >= 1)),
    CIS_DIL          NUMBER(2)              null    
        constraint CKC_CIS_DIL_X_PRAC_M check (CIS_DIL is null or (CIS_DIL >= 1)),
    ROD_CIS          NUMBER(10)             not null,
    PLAT             NUMBER(6)              not null,
    PREMIE           NUMBER(6)              not null,
    UVAZEK           VARCHAR2(10)           not null
        constraint CKC_UVAZEK_X_PRAC_M check (UVAZEK in ('PLNY','POLOVICNI')),
    TYP_PM           VARCHAR2(10)           not null
        constraint CKC_TYP_PM_X_PRAC_M check (TYP_PM in ('VEDOUCI','RADOVY','UKLIZECKA')),
    constraint PK_X_PRAC_MISTO primary key (CIS_PM)
)
/

-- ============================================================
--   Index: X_PRAC_MISTO_FK1                                   
-- ============================================================
create index X_PRAC_MISTO_FK1 on X_PRAC_MISTO (CIS_SKL asc)
/

-- ============================================================
--   Index: X_PRAC_MISTO_FK2                                   
-- ============================================================
create index X_PRAC_MISTO_FK2 on X_PRAC_MISTO (CIS_DIL asc)
/

-- ============================================================
--   Index: X_PRAC_MISTO_FK3                                   
-- ============================================================
create index X_PRAC_MISTO_FK3 on X_PRAC_MISTO (ROD_CIS asc)
/

-- ============================================================
--   Table: X_VYR_NA_SKL                                       
-- ============================================================
create table X_VYR_NA_SKL
(
    OZN_TYPU         VARCHAR2(10)           not null,
    CIS_SKL          NUMBER(2)              not null
        constraint CKC_CIS_SKL_X_VYR_NA check (CIS_SKL >= 1),
    POCET_VYR        NUMBER(6)              not null
        constraint CKC_POCET_VYR_X_VYR_NA check (POCET_VYR >= 1)
)
/

-- ============================================================
--   Index: X_VYR_NA_SKL_FK1                                   
-- ============================================================
create index X_VYR_NA_SKL_FK1 on X_VYR_NA_SKL (OZN_TYPU asc)
/

-- ============================================================
--   Index: X_VYR_NA_SKL_FK2                                   
-- ============================================================
create index X_VYR_NA_SKL_FK2 on X_VYR_NA_SKL (CIS_SKL asc)
/

-- ============================================================
--   Table: X_DILNA_TV                                         
-- ============================================================
create table X_DILNA_TV
(
    CIS_DIL          NUMBER(2)              not null
        constraint CKC_CIS_DIL_X_DILNA_ check (CIS_DIL >= 1),
    OZN_TYPU         VARCHAR2(10)           not null,
    constraint PK_X_DILNA_TV primary key (CIS_DIL, OZN_TYPU)
)
/

-- ============================================================
--   Index: X_DILNA_TV_FK1                                     
-- ============================================================
create index X_DILNA_TV_FK1 on X_DILNA_TV (CIS_DIL asc)
/

-- ============================================================
--   Index: X_DILNA_TV_FK2                                     
-- ============================================================
create index X_DILNA_TV_FK2 on X_DILNA_TV (OZN_TYPU asc)
/

